<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Sun Jan 12 21:47:51 EST 2020 -->
<title>EventExecutor (protean-core 1.0.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EventExecutor (protean-core 1.0.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":1,"i2":1,"i3":1,"i4":1,"i5":1,"i6":6};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">io.gitlab.littlesaints.protean</a></div>
<h2 title="Interface EventExecutor" class="title">Interface EventExecutor&lt;P,&#8203;R&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="executors/sync/SyncExecutor.html" title="class in io.gitlab.littlesaints.protean.executors.sync">SyncExecutor</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">EventExecutor&lt;P,&#8203;R&gt;</span></pre>
<div class="block">An interface for executors that common and run the execution workflow / pipeline as defined in a <a href="Context.html" title="interface in io.gitlab.littlesaints.protean"><code>Context</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="EventExecutor.Factory.html" title="interface in io.gitlab.littlesaints.protean">EventExecutor.Factory</a></span></code></th>
<td class="colLast">
<div class="block">The factory method for all implementations.</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="resources/Registry.html" title="class in io.gitlab.littlesaints.protean.resources">Registry</a>&lt;<a href="EventExecutor.Factory.html" title="interface in io.gitlab.littlesaints.protean">EventExecutor.Factory</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#REGISTRY">REGISTRY</a></span></code></th>
<td class="colLast">
<div class="block">Repository for all configured executors.</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code><a href="EventExecutor.html" title="type parameter in EventExecutor">R</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execute(P)">execute</a></span>&#8203;(<a href="EventExecutor.html" title="type parameter in EventExecutor">P</a>&nbsp;payload)</code></th>
<td class="colLast">
<div class="block">Submit a payload for execution.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static &lt;E&gt;&nbsp;boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filter(E,boolean,java.util.function.Function)">filter</a></span>&#8203;(E&nbsp;e,
      boolean&nbsp;skippable,
      java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateResolver)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static &lt;E&gt;&nbsp;boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filter(E,boolean,java.util.function.Predicate,java.util.function.Function)">filter</a></span>&#8203;(E&nbsp;e,
      boolean&nbsp;skippable,
      java.util.function.Predicate&lt;E&gt;&nbsp;filter,
      java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateResolver)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static &lt;E&gt;&nbsp;boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#filter(E,java.util.function.Predicate)">filter</a></span>&#8203;(E&nbsp;e,
      java.util.function.Predicate&lt;E&gt;&nbsp;filter)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static &lt;E&gt;&nbsp;java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#newExecutionOp(java.util.function.Function,java.util.function.BiFunction,com.littlesaints.protean.functions.trial.Strategy)">newExecutionOp</a></span>&#8203;(java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;processor,
              java.util.function.BiFunction&lt;E,&#8203;java.lang.Exception,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;exceptionHandler,
              com.littlesaints.protean.functions.trial.Strategy&nbsp;retryStrategy)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>static &lt;E&gt;&nbsp;void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#process(java.util.function.Function,E,java.util.function.Function,java.util.function.BiConsumer)">process</a></span>&#8203;(java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;executionOp,
       E&nbsp;e,
       java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateResolver,
       java.util.function.BiConsumer&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateRegistrar)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#shutdown()">shutdown</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="REGISTRY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>REGISTRY</h4>
<pre>static final&nbsp;<a href="resources/Registry.html" title="class in io.gitlab.littlesaints.protean.resources">Registry</a>&lt;<a href="EventExecutor.Factory.html" title="interface in io.gitlab.littlesaints.protean">EventExecutor.Factory</a>&gt; REGISTRY</pre>
<div class="block">Repository for all configured executors.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="execute(java.lang.Object)">
<!--   -->
</a><a id="execute(P)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre class="methodSignature"><a href="EventExecutor.html" title="type parameter in EventExecutor">R</a>&nbsp;execute&#8203;(<a href="EventExecutor.html" title="type parameter in EventExecutor">P</a>&nbsp;payload)</pre>
<div class="block">Submit a payload for execution.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>payload</code> - the object to execute on.</dd>
</dl>
</li>
</ul>
<a id="filter(java.lang.Object,boolean,java.util.function.Predicate,java.util.function.Function)">
<!--   -->
</a><a id="filter(E,boolean,java.util.function.Predicate,java.util.function.Function)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre class="methodSignature">static&nbsp;&lt;E&gt;&nbsp;boolean&nbsp;filter&#8203;(E&nbsp;e,
                          boolean&nbsp;skippable,
                          java.util.function.Predicate&lt;E&gt;&nbsp;filter,
                          java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateResolver)</pre>
</li>
</ul>
<a id="filter(java.lang.Object,boolean,java.util.function.Function)">
<!--   -->
</a><a id="filter(E,boolean,java.util.function.Function)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre class="methodSignature">static&nbsp;&lt;E&gt;&nbsp;boolean&nbsp;filter&#8203;(E&nbsp;e,
                          boolean&nbsp;skippable,
                          java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateResolver)</pre>
</li>
</ul>
<a id="filter(java.lang.Object,java.util.function.Predicate)">
<!--   -->
</a><a id="filter(E,java.util.function.Predicate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre class="methodSignature">static&nbsp;&lt;E&gt;&nbsp;boolean&nbsp;filter&#8203;(E&nbsp;e,
                          java.util.function.Predicate&lt;E&gt;&nbsp;filter)</pre>
</li>
</ul>
<a id="newExecutionOp(java.util.function.Function,java.util.function.BiFunction,com.littlesaints.protean.functions.trial.Strategy)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newExecutionOp</h4>
<pre class="methodSignature">static&nbsp;&lt;E&gt;&nbsp;java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;newExecutionOp&#8203;(java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;processor,
                                                                     java.util.function.BiFunction&lt;E,&#8203;java.lang.Exception,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;exceptionHandler,
                                                                     com.littlesaints.protean.functions.trial.Strategy&nbsp;retryStrategy)</pre>
</li>
</ul>
<a id="process(java.util.function.Function,java.lang.Object,java.util.function.Function,java.util.function.BiConsumer)">
<!--   -->
</a><a id="process(java.util.function.Function,E,java.util.function.Function,java.util.function.BiConsumer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>process</h4>
<pre class="methodSignature">static&nbsp;&lt;E&gt;&nbsp;void&nbsp;process&#8203;(java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;executionOp,
                        E&nbsp;e,
                        java.util.function.Function&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateResolver,
                        java.util.function.BiConsumer&lt;E,&#8203;<a href="event/State.html" title="enum in io.gitlab.littlesaints.protean.event">State</a>&gt;&nbsp;stateRegistrar)</pre>
</li>
</ul>
<a id="shutdown()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>shutdown</h4>
<pre class="methodSignature">void&nbsp;shutdown()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
